/*--------------------------------------------------------------------------------------------+
|                               Get AT Keyboard scan codes                                    |
|                                     (MPU AT89C51)                                           |
| Name : ATKeyboard.c                                                                         |
| Purpose:                                                                                    |
| Provide the interface for the ATKeyboard, print the keyboard scancode on screen through the |
| transmition of RS232 port. Hence, we can see the scancode of each keyboard key.             |
+--------------------------------------------------------------------------------------------*/
#include "config.h"

void main(void)
{
	static unsigned char rcvdata;
	init_uart();							// 9600 baud @ 11.0592MHz
	init_int0();							// enable INT0

	while(1)								// use polling method to handle AT keyboard 
	{										// interface.
		rcvdata=getrcvdata();
		print_hexdata(rcvdata);
	}
}



