/*--------------------------------------------------------------------------------------------+
|                             Interfacing the PC AT Keyboard                                  |
|                                      (MPU AT89C51)                                          |
| Name : ATKeyboard.c                                                                         |
| Purpose:                                                                                    |
| Provide the interface for the ATKeyboard, convert the keyboard scancode into ascii code and |
| then transmit the codes through RS232 port.                                                 |
+--------------------------------------------------------------------------------------------*/
#include "config.h"

void main(void)
{
	static unsigned char rcvdata,key;
	init_uart();							// 9600 baud @ 11.0592MHz
	init_int0();							// enable INT0

	while(1)								// use polling method to handle AT keyboard 
	{										// interface.
		rcvdata=getrcvdata();
	//	rcvdata=simscancode(0x15,0xf0,0x15,0x15,0xf0,0x15,0x2D,0xf0,0x2D);	
	//	print_hexdata(rcvdata);

		if(isvalidcode(rcvdata))
		{
			key=scancode2Ascii(rcvdata);
			if(isdispkey(rcvdata))
				printf("%c",key);		
		}
	}
}



