/*--------------------------------------------------------------------------------------------+
| Name : simscancode.c                                                                        |
| Purpose:                                                                                    |
| simulate 9 keyboard scancodes                                                               | 
+--------------------------------------------------------------------------------------------*/
// EXAMPLE:
// rcvdata=simscancode(0x15,0xf0,0x15,0x15,0xf0,0x15,0x2D,0xf0,0x2D);   >> 'q' 'q' 'w'
// rcvdata=simscancode(0xe0,0x6c,0xe0,0xf0,0x6c,0x15,0xf0,0x15,0xf0);   >> 'Home' 'q'
//                                                                      the last one 0xf0 is wrong. 
#include"config.h"

// simluate 9 keyboard scancodes
unsigned char simscancode(unsigned char a,b,c,d,e,f,g,h,i)
{
	static unsigned int z;
	switch(z)
	{
		case 0:
			z=1;
			return a;
			break;
		case 1:
			z=2;
			return b;
			break;
		case 2:
			z=3;
			return c;
			break;
		case 3:
			z=4;
			return d;
			break;
		case 4:
			z=5;
			return e;
			break;
		case 5:
			z=6;
			return f;
			break;
		case 6:
			z=7;
			return g;
			break;
		case 7:
			z=8;
			return h;
			break;
		case 9:
			z=0;
			return i;
			break;
	}
}